Bug 970635 - It's impossible to update the tagged network on DC to become untagged through API
Summary: It's impossible to update the tagged network on DC to become untagged through...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi   
(Show other bugs)
Version: 3.2.0
Hardware: x86_64 Linux
high
medium
Target Milestone: ---
: 3.3.0
Assignee: Moti Asayag
QA Contact: GenadiC
URL:
Whiteboard: network
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-04 13:34 UTC by GenadiC
Modified: 2016-02-10 19:58 UTC (History)
10 users (show)

Fixed In Version: is13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 22:16:58 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18489 None None None Never

Description GenadiC 2013-06-04 13:34:55 UTC
Description of problem:
You can't update VLAN network on the DC to be untagged with API

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create tagged network on the DC (vlan 10)
2. Try to update the network with SDK or Rest API to be untagged (no VLAN)

Actual results:
Update fails

Expected results:
Update should succeed

Additional info:

Comment 1 Dan Kenigsberg 2013-06-05 08:25:43 UTC
Note that the same operation is possible via the GUI.

Comment 2 Martin Pavlik 2013-09-04 14:59:55 UTC
it is possible to remove VLAN-ID, tested via rhevm shell

Comment 3 Itamar Heim 2014-01-21 22:16:58 UTC
Closing - RHEV 3.3 Released

Comment 4 Itamar Heim 2014-01-21 22:23:36 UTC
Closing - RHEV 3.3 Released


Note You need to log in before you can comment on or make changes to this bug.